#include <9pm/windows.h>
#include <9pm/u.h>
#include <9pm/libc.h>

HMODULE WINAPI
GetModuleHandle(LPCWSTR lpModuleName)
{
	char *path;
	HMODULE h;

	if(win_useunicode)
		return GetModuleHandleW(lpModuleName);

	path = 0;
	if(lpModuleName)
		path = win_wstr2utf(lpModuleName);	
	
	h = GetModuleHandleA(path);
	win_free(path);
	return h;
}
